org.apache.synapse.mediators.throttle

## Class ThrottleMediatorSerializer

- java.lang.Object
- - org.apache.synapse.config.xml.AbstractMediatorSerializer
  - - org.apache.synapse.mediators.throttle.ThrottleMediatorSerializer

- All Implemented Interfaces:
    org.apache.synapse.config.xml.MediatorSerializer

      public class ThrottleMediatorSerializer
      extends org.apache.synapse.config.xml.AbstractMediatorSerializer

  The Serializer for Throttle Mediator saving throttle instance

       <throttle [onReject="string"] [onAccept="string"] id="string">
         (<policy key="string"/> | <policy>..</policy>)
          <onReject>..</onReject>?
          <onAccept>..</onAccept>?
       </throttle>

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.config.xml.AbstractMediatorSerializer

      `DESCRIPTION_Q, fac, log, nullNS, PROP_Q, synNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrottleMediatorSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMediatorClassName()`
    `org.apache.axiom.om.OMElement` | `serializeSpecificMediator(org.apache.synapse.Mediator m)`

    - ### Methods inherited from class org.apache.synapse.config.xml.AbstractMediatorSerializer

      `handleException, handleException, saveTracingState, serializeComments, serializeComments, serializeMediator, serializeMediatorProperties, serializeMediatorProperties, serializeNamespaces, serializeProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrottleMediatorSerializer

          public ThrottleMediatorSerializer()

  - ### Method Detail

    - #### serializeSpecificMediator

          public org.apache.axiom.om.OMElement serializeSpecificMediator(org.apache.synapse.Mediator m)

      Specified by:
        `serializeSpecificMediator` in class `org.apache.synapse.config.xml.AbstractMediatorSerializer`

    - #### getMediatorClassName

          public java.lang.String getMediatorClassName()

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.